Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.examples.vehiclerouting.domain
Class VrpCustomer

    java.lang.Object
      org.drools.planner.examples.common.domain.AbstractPersistable
          org.drools.planner.examples.vehiclerouting.domain.VrpCustomer

All Implemented Interfaces:
  Serializable, Comparable<AbstractPersistable>, VrpAppearance

    public class VrpCustomer

extends AbstractPersistable
implements VrpAppearance

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.drools.planner.examples.common.domain.AbstractPersistable
`id`

Constructor Summary
`VrpCustomer()`

Method Summary
`VrpCustomer` | `clone()` Warning: previous and next do not point to new clones.
`int` | `getDemand()`
`int` | `getDistanceTo(VrpAppearance appearance)`
`int` | `getDistanceToPreviousAppearance()`
`VrpLocation` | `getLocation()`
`VrpAppearance` | `getPreviousAppearance()`
`VrpVehicle` | `getVehicle()`
`void` | `setDemand(int demand)`
`void` | `setLocation(VrpLocation location)`
`void` | `setPreviousAppearance(VrpAppearance previousAppearance)`
`boolean` | `solutionEquals(Object o)` The normal methods `Object.equals(Object)` and `Object.hashCode()` cannot be used because the rule engine already requires them (for performance in their original state).
`int` | `solutionHashCode()` The normal methods `Object.equals(Object)` and `Object.hashCode()` cannot be used because the rule engine already requires them (for performance in their original state).
`String` | `toString()`

Methods inherited from class org.drools.planner.examples.common.domain.AbstractPersistable
`compareTo, getId, setId`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VrpCustomer

    public VrpCustomer()

Method Detail

### getLocation

    public VrpLocation getLocation()

  Specified by:
    `getLocation` in interface `VrpAppearance`
  Returns:
    never null

### setLocation

    public void setLocation(VrpLocation location)

### getDemand

    public int getDemand()

### setDemand

    public void setDemand(int demand)

### getPreviousAppearance

    public VrpAppearance getPreviousAppearance()

### setPreviousAppearance

    public void setPreviousAppearance(VrpAppearance previousAppearance)

### getVehicle

    public VrpVehicle getVehicle()

### getDistanceToPreviousAppearance

    public int getDistanceToPreviousAppearance()

### getDistanceTo

    public int getDistanceTo(VrpAppearance appearance)

### clone

    public VrpCustomer clone()

  Warning: previous and next do not point to new clones.

  Overrides:
    `clone` in class `Object`
  Returns:
    never null

### solutionEquals

    public boolean solutionEquals(Object o)

  The normal methods `Object.equals(Object)` and `Object.hashCode()` cannot be used because the rule engine already requires them (for performance in their original state).

  See Also:
    `solutionHashCode()`

### solutionHashCode

    public int solutionHashCode()

  The normal methods `Object.equals(Object)` and `Object.hashCode()` cannot be used because the rule engine already requires them (for performance in their original state).

  See Also:
    `solutionEquals(Object)`

### toString

    public String toString()

  Overrides:
    `toString` in class `AbstractPersistable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.